# OAICat Configuration

# This paramter is optional. Comment it out if you want the code to get the baseURL
# from the request instead. Setting it here is only necessary if your firewall messes
# with the request in a way that alters the baseURL from your expectations.
OAIHandler.baseURL=http://formations.univ-amu.fr:8080/cdm/oai

# Uncomment this line if you want to include an XSL stylesheet reference
# in the OAI response so they can be rendered into HTML by browsers.
#OAIHandler.styleSheet=/oaicat/oaicat.xsl

# Uncomment this line if you want OAICat to render the responses into HTML on the server using
# OAIHandler.stylesheet when the request comes from an old browser.
#OAIHandler.renderForOldBrowsers=true

AbstractCatalog.oaiCatalogClassName=fr.ustl.uniform.provider.oai.catalog.UniformOAICatalog
AbstractCatalog.recordFactoryClassName=fr.ustl.uniform.provider.oai.catalog.UniformRecordFactory
AbstractCatalog.secondsToLive=3600

# Choose one of the following two
#AbstractCatalog.granularity=YYYY-MM-DD
AbstractCatalog.granularity=YYYY-MM-DDThh:mm:ssZ

# Change to include properties peculiar to your implementation of AbstractCatalog
UniformOAICatalog.maxListSize=100
UniformOAICatalog.homeDir=cdm/WEB-INF/META/

UniformRecordFactory.repositoryIdentifier=oaicat.oclc.org

# Custom Identify response values
Identify.repositoryName=Catalogue des formations : FR_RNE_0132104R_OR
Identify.adminEmail=mailto:pascal.benalloul@univ-amu.fr
Identify.earliestDatestamp=2007-06-01T00:00:00Z
Identify.deletedRecord=transient

# This is the old way to specify <description><oai-identifier> for the Identify verb
#Identify.repositoryIdentifier=oaicat.oclc.org
#Identify.sampleIdentifier=oai:oaicat.oclc.org:OCLCNo/ocm00000012

# This is the new way to specify <description> elements in general for the Identify verb
# Append something unique like .1, .2, etc to 'Identify.description' for each occurrence
Identify.description.1=<description><oai-identifier xmlns=\"http://www.openarchives.org/OAI/2.0/oai-identifier\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:schemaLocation=\"http://www.openarchives.org/OAI/2.0/oai-identifier http://www.openarchives.org/OAI/2.0/oai-identifier.xsd\"><scheme>oai</scheme><repositoryIdentifier>oaicat.oclc.org</repositoryIdentifier><delimiter>:</delimiter><sampleIdentifier>oai:oaicat.oclc.org:OCLCNo/ocm00000012</sampleIdentifier></oai-identifier></description>

# List the supported metadataPrefixes along with the class that performs the associated crosswalk
Crosswalks.oai_dc=fr.ustl.uniform.provider.oai.crosswalk.Oai_dc_Prefix
Crosswalks.cdm=fr.ustl.uniform.provider.oai.crosswalk.Cdm_Prefix
